<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SlideAtomLayout.SlideLayoutType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SlideAtomLayout.SlideLayoutType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideAtomLayout.SlideLayoutType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
               target="_top">Frames</a></li>
        <li><a href="SlideAtomLayout.SlideLayoutType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Enum SlideAtomLayout.SlideLayoutType" class="title">Enum SlideAtomLayout.SlideLayoutType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a
                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.record.SlideAtomLayout.SlideLayoutType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                            title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.html"
                           title="class in org.apache.poi.hslf.record">SlideAtomLayout</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static enum <span class="typeNameLabel">SlideAtomLayout.SlideLayoutType</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                             title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#BIG_OBJECT">BIG_OBJECT</a></span></code>
                                    <div class="block">Presentation slide layout with one body placeholder shape.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#BLANK_SLIDE">BLANK_SLIDE</a></span></code>
                                    <div class="block">Presentation slide layout with no placeholder shape.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#COLUMN_TWO_ROWS">COLUMN_TWO_ROWS</a></span></code>
                                    <div class="block">Presentation slide layout with one title and three body
                                        placeholder shapes split into two columns.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#FOUR_OBJECTS">FOUR_OBJECTS</a></span></code>
                                    <div class="block">Presentation slide layout with one title and four body
                                        placeholder shapes.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#HANDOUT">HANDOUT</a></span></code>
                                    <div class="block">Only header, footer and date placeholders</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#MASTER_NOTES">MASTER_NOTES</a></span></code>
                                    <div class="block">??? (not documented in spec)</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#MASTER_SLIDE">MASTER_SLIDE</a></span></code>
                                    <div class="block">??? (not documented in spec)</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#MASTER_TITLE">MASTER_TITLE</a></span></code>
                                    <div class="block">Title master slide layout with one title and one subtitle
                                        placeholder shape.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#NOTES_TITLE_BODY">NOTES_TITLE_BODY</a></span></code>
                                    <div class="block">??? (not documented in spec)</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TITLE_2_ROW_BOTTOM_2_COLUMN_BODY">TITLE_2_ROW_BOTTOM_2_COLUMN_BODY</a></span></code>
                                    <div class="block">??? (not documented in spec)</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TITLE_BODY">TITLE_BODY</a></span></code>
                                    <div class="block">Presentation slide or main master slide layout with one title and
                                        one body placeholder shape.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TITLE_ONLY">TITLE_ONLY</a></span></code>
                                    <div class="block">Presentation slide layout with one title placeholder shape.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TITLE_SLIDE">TITLE_SLIDE</a></span></code>
                                    <div class="block">One title and one subtitle placeholder shapes.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TWO_COLUMNS">TWO_COLUMNS</a></span></code>
                                    <div class="block">Presentation slide layout with one title and two body placeholder
                                        shapes stacked horizontally.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TWO_COLUMNS_ROW">TWO_COLUMNS_ROW</a></span></code>
                                    <div class="block">Presentation slide layout with one title and three body
                                        placeholder shapes split into two rows.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TWO_ROWS">TWO_ROWS</a></span></code>
                                    <div class="block">Presentation slide layout with one title and two body placeholder
                                        shapes stacked vertically.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#TWO_ROWS_COLUMN">TWO_ROWS_COLUMN</a></span></code>
                                    <div class="block">Presentation slide layout with one title and three body
                                        placeholder shapes split into two columns.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#VERTICAL_TITLE_BODY">VERTICAL_TITLE_BODY</a></span></code>
                                    <div class="block">Presentation slide layout with a vertical title placeholder shape
                                        on the right and a body placeholder shape on the left.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#VERTICAL_TWO_ROWS">VERTICAL_TWO_ROWS</a></span></code>
                                    <div class="block">Presentation slide layout with a vertical title placeholder shape
                                        on the right and two body placeholder shapes in two columns on the left.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#forNativeID-int-">forNativeID</a></span>(int&nbsp;nativeId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#getNativeId--">getNativeId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="TITLE_SLIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TITLE_SLIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TITLE_SLIDE</pre>
                                <div class="block">One title and one subtitle placeholder shapes.</div>
                            </li>
                        </ul>
                        <a name="TITLE_BODY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TITLE_BODY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TITLE_BODY</pre>
                                <div class="block">Presentation slide or main master slide layout with one title and one
                                    body placeholder shape.
                                </div>
                            </li>
                        </ul>
                        <a name="MASTER_TITLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MASTER_TITLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> MASTER_TITLE</pre>
                                <div class="block">Title master slide layout with one title and one subtitle placeholder
                                    shape.
                                </div>
                            </li>
                        </ul>
                        <a name="MASTER_SLIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MASTER_SLIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> MASTER_SLIDE</pre>
                                <div class="block">??? (not documented in spec)</div>
                            </li>
                        </ul>
                        <a name="MASTER_NOTES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MASTER_NOTES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> MASTER_NOTES</pre>
                                <div class="block">??? (not documented in spec)</div>
                            </li>
                        </ul>
                        <a name="NOTES_TITLE_BODY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NOTES_TITLE_BODY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> NOTES_TITLE_BODY</pre>
                                <div class="block">??? (not documented in spec)</div>
                            </li>
                        </ul>
                        <a name="HANDOUT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HANDOUT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> HANDOUT</pre>
                                <div class="block">Only header, footer and date placeholders</div>
                            </li>
                        </ul>
                        <a name="TITLE_ONLY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TITLE_ONLY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TITLE_ONLY</pre>
                                <div class="block">Presentation slide layout with one title placeholder shape.</div>
                            </li>
                        </ul>
                        <a name="TWO_COLUMNS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TWO_COLUMNS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TWO_COLUMNS</pre>
                                <div class="block">Presentation slide layout with one title and two body placeholder
                                    shapes stacked horizontally.
                                </div>
                            </li>
                        </ul>
                        <a name="TWO_ROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TWO_ROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TWO_ROWS</pre>
                                <div class="block">Presentation slide layout with one title and two body placeholder
                                    shapes stacked vertically.
                                </div>
                            </li>
                        </ul>
                        <a name="COLUMN_TWO_ROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COLUMN_TWO_ROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> COLUMN_TWO_ROWS</pre>
                                <div class="block">Presentation slide layout with one title and three body placeholder
                                    shapes split into two columns. The right column has two rows.
                                </div>
                            </li>
                        </ul>
                        <a name="TWO_ROWS_COLUMN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TWO_ROWS_COLUMN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TWO_ROWS_COLUMN</pre>
                                <div class="block">Presentation slide layout with one title and three body placeholder
                                    shapes split into two columns. The left column has two rows.
                                </div>
                            </li>
                        </ul>
                        <a name="TITLE_2_ROW_BOTTOM_2_COLUMN_BODY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TITLE_2_ROW_BOTTOM_2_COLUMN_BODY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TITLE_2_ROW_BOTTOM_2_COLUMN_BODY</pre>
                                <div class="block">??? (not documented in spec)</div>
                            </li>
                        </ul>
                        <a name="TWO_COLUMNS_ROW">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TWO_COLUMNS_ROW</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> TWO_COLUMNS_ROW</pre>
                                <div class="block">Presentation slide layout with one title and three body placeholder
                                    shapes split into two rows. The top row has two columns.
                                </div>
                            </li>
                        </ul>
                        <a name="FOUR_OBJECTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FOUR_OBJECTS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> FOUR_OBJECTS</pre>
                                <div class="block">Presentation slide layout with one title and four body placeholder
                                    shapes.
                                </div>
                            </li>
                        </ul>
                        <a name="BIG_OBJECT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIG_OBJECT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> BIG_OBJECT</pre>
                                <div class="block">Presentation slide layout with one body placeholder shape.</div>
                            </li>
                        </ul>
                        <a name="BLANK_SLIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BLANK_SLIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> BLANK_SLIDE</pre>
                                <div class="block">Presentation slide layout with no placeholder shape.</div>
                            </li>
                        </ul>
                        <a name="VERTICAL_TITLE_BODY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_TITLE_BODY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> VERTICAL_TITLE_BODY</pre>
                                <div class="block">Presentation slide layout with a vertical title placeholder shape on
                                    the right and a body placeholder shape on the left.
                                </div>
                            </li>
                        </ul>
                        <a name="VERTICAL_TWO_ROWS">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>VERTICAL_TWO_ROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a> VERTICAL_TWO_ROWS</pre>
                                <div class="block">Presentation slide layout with a vertical title placeholder shape on
                                    the right and two body placeholder shapes in two columns on the left.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (SlideAtomLayout.SlideLayoutType c : SlideAtomLayout.SlideLayoutType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNativeId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNativeId</h4>
                                <pre>public&nbsp;int&nbsp;getNativeId()</pre>
                            </li>
                        </ul>
                        <a name="forNativeID-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>forNativeID</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                        title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&nbsp;forNativeID(int&nbsp;nativeId)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideAtomLayout.SlideLayoutType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
               target="_top">Frames</a></li>
        <li><a href="SlideAtomLayout.SlideLayoutType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
